Source: rocs
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>,
           Pino Toscano <pino@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0.0~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.15.0~),
               libboost-dev (>= 1.49~),
               libboost-graph-dev,
               libgrantlee5-dev (>= 5.0.0~),
               libkf5archive-dev (>= 5.15~),
               libkf5config-dev (>= 5.15~),
               libkf5coreaddons-dev (>= 5.15~),
               libkf5crash-dev (>= 5.15~),
               libkf5declarative-dev (>= 5.15~),
               libkf5doctools-dev (>= 5.7~),
               libkf5i18n-dev (>= 5.15~),
               libkf5itemviews-dev (>= 5.15~),
               libkf5syntaxhighlighting-dev (>= 5.78.0~),
               libkf5texteditor-dev (>= 5.78.0~),
               libkf5xmlgui-dev (>= 5.15~),
               libqt5svg5-dev (>= 5.4),
               libqt5webkit5-dev (>= 5.4),
               libqt5xmlpatterns5-dev (>= 5.4),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.4),
               qtdeclarative5-dev (>= 5.4),
               qtscript5-dev (>= 5.4)
Standards-Version: 4.1.1
Homepage: https://projects.kde.org/projects/kde/kdeedu/rocs
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/rocs.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/rocs.git

Package: rocs
Architecture: any
Section: math
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: graph theory IDE
 Rocs aims to be a Graph Theory IDE for helping professors to show the results
 of a graph algorithm and also helping students to do the algorithms.
 .
 Rocs has a scripting module, done in Qt Script, that interacts with the drawn
 graph and every change in the graph with the script is reflected on the drawn
 one.
 .
 This package is part of the KDE education module.
